import {get, post, put, del} from '../http/http'

const vehicles = {
  getBrandsOptions(query) {
    return get("vehicle-model/brands", {
      brand: query
    })
  },
  getVehicleModelsPage(params) {
    return post("vehicle-model/pages", params)
  },
  addVehicleModel(data) {
    return post("vehicle-model/details", data)
  },
  updateVehicleModel(data) {
    return put("vehicle-model/details", data)
  },
  deleteVehicleModel(vehicleModelId) {
    return del("vehicle-model/details/" + vehicleModelId)
  }
}

export default vehicles;